Foros del Web » Programando para Internet » PHP »

Error de extension en PHP

Estas en el tema de Error de extension en PHP en el foro de PHP en Foros del Web. Hola, les cuento q acabo de instalar Apache 2, PHP 5, MySQL, MySQLcc y phpMyAdmin, e intentando ver una pagina php de este último me ...
  #1 (permalink)  
Antiguo 15/07/2004, 20:03
Avatar de sktrpunk  
Fecha de Ingreso: septiembre-2003
Ubicación: Montevideo
Mensajes: 227
Antigüedad: 14 años, 3 meses
Puntos: 0
Exclamación Error de extension en PHP

Hola, les cuento q acabo de instalar Apache 2, PHP 5, MySQL, MySQLcc y phpMyAdmin, e intentando ver una pagina php de este último me sale el error:
Cita:
imposible cargar la extensión MySQL,
Por favor revise la configuración de PHP.
Documentación
Espero q alguien me pueda ayudar a solucionarlo.
Gracias a [email protected]

AlvAro
__________________
- Sk8 FoR LiFe -
Stay away from my Black Book
  #2 (permalink)  
Antiguo 16/07/2004, 05:02
Ex Colaborador
 
Fecha de Ingreso: junio-2002
Mensajes: 9.091
Antigüedad: 15 años, 5 meses
Puntos: 16
Hola,

En www.php.net/mysql :
Cita:
In PHP 5, MySQL is no longer enabled by default, nor is the MySQL library bundled with PHP. Read this FAQ for details on why.
En dicha FAQ (http://es.php.net/manual/en/faq.data...ses.mysql.php5):
Cita:
Windows users may enable the extension php_mysql.dll inside php.ini. Also, copy libmySQL.dll into the appropriate %SYSTEMROOT% directory, just like you do with every other bundled DLL from the dll directory.
Saludos.
__________________
Josemi

Aprendiz de mucho, maestro de poco.
  #3 (permalink)  
Antiguo 17/07/2004, 02:36
Avatar de sktrpunk  
Fecha de Ingreso: septiembre-2003
Ubicación: Montevideo
Mensajes: 227
Antigüedad: 14 años, 3 meses
Puntos: 0
Muchisimas gracias josemi, lo solucione instalando PHP 4.3.6 pq no tengo idea sobre librerias, dlls, extensiones, ni nada de PHP ya q recien empiezo a familiarizarme con la sintaxis. Ya lei bastante documentacion, lo q me ayudo a solucionar mi primer problema de configuracion en PHP, el register_globals q a partir de la version 4.2 vienen desactivadas por defecto por un tema de seguridad.
Ahora recien estoi aprendiendo a conectar con la base de datos y a hacer consultas, modificar la base. Por suerte mis conocimientos de ASP me solucionan la existencia, sino se me complicaria muchisimo.
Gracias de nuevo y ya nos estaremos viendo nuevamente con mas dudas

AlvAro
__________________
- Sk8 FoR LiFe -
Stay away from my Black Book
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 20:46.